Ubuntu

Sync jigit 1.19-1 (main) from Debian sid (main)

Reported by Scott Moser on 2011-06-21
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
jigit (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync jigit 1.19-1 (main) from Debian sid (main)

Explanation of the Ubuntu delta and why it can be dropped:

The only Ubuntu delta was in the 'jigit' script, which was dropped from
upstream.

Changelog entries since current oneiric version 1.18-1ubuntu1:

jigit (1.19-1) unstable; urgency=low

  * New upstream release.
    + Improved error-handling in mkimage and libjte.
      - mkjigsnap rewrite:
      - merge two old implementations
      - switch to perl: cleaner code, much faster snapshot generation
      - added -v (verbose) and -N (dry-run) options
    + Put AC_CONFIG_MACRO_DIR in a better place in the libjte configure
      script.
    + Remove -Werror from the Makefile - gcc is getting more and more
      pedantic with every release, and this may cause package builds to
      fail.
  * Removed the jigit script itself - it hasn't worked in ages, and just
    doesn't seem to be useful any more. Closes: #506449

 -- Steve McIntyre <email address hidden> Thu, 16 Jun 2011 15:36:51 +0100

jigit (1.18-2) unstable; urgency=low

  * Turn off -Werror for release builds. Leaving the bug open, as I have
    reassigned it to gcc-4.6.

 -- Steve McIntyre <email address hidden> Sun, 29 May 2011 14:24:28 +0100

Scott Moser (smoser) on 2011-06-21
Changed in jigit (Ubuntu):
importance: Undecided → Wishlist
Sebastien Bacher (seb128) wrote :

Seems fine, thanks

Changed in jigit (Ubuntu):
status: New → Confirmed
Colin Watson (cjwatson) wrote :

2011-06-22 11:36:51 INFO - <jigit_1.19-1.dsc: downloading from http://ftp.debian.org/debian/>
[Updating] jigit (1.18-1ubuntu1 [Ubuntu] < 1.19-1 [Debian])
 * Trying to add jigit...
2011-06-22 11:36:52 INFO - <jigit_1.19.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
2011-06-22 11:36:52 INFO - <jigit_1.19-1.diff.gz: downloading from http://ftp.debian.org/debian/>
I: jigit [main] -> jigit_1.18-1ubuntu1 [main].
I: jigit [main] -> libjte1_1.18-1ubuntu1 [main].
I: jigit [main] -> libjte-dev_1.18-1ubuntu1 [main].

Changed in jigit (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers